Debian GNU/Linux 2.2 -- Errata

Debian GNU/Linux 2.2 è stata resa obsoleta da Debian GNU/Linux 3.0 ("woody"). Dal 30 giugno 2003 non sono più pubblicati aggiornamenti di sicurezza. Consultate i risultati del sondaggio del Security Team per maggiori informazioni.

Note sulla sicurezza

Il Debian Security Team crea degli aggiornamenti ai pacchetti nella release stable nei quali sono stati identificati problemi relativi alla sicurezza. Per favore, consultate le security page per informazioni su qualsiasi problema relativo alla sicurezza identificato in `potato'.

Se usate APT, aggiungete la seguente riga a /etc/apt/sources.list per poter accedere agli ultimi aggiornamenti relativi alla sicurezza:

  deb http://security.debian.org/ potato/updates main contrib non-free

Dopodiché eseguite apt-get update seguito da apt-get upgrade.

Point releases

Qualce volta, in caso di molti problemi critici o aggiornamenti di sicurezza, la distribuzione rilasciata è aggiornata. Solitamente queste sono indicate come `point release'.

Controllate il ChangeLog (e ChangeLog per non-US) per dettagli sui cambiamenti.

I fix per la release stable spesso trascorrono un lungo periodo di testing prima che siano accettati nell'archivio. Questi fix sono comunque disponibili nella directory dists/potato-proposed-updates di qualsiasi mirror degli archivi Debian (e nello stesso posto nel nostro server non-US e relativi mirror).

Se usate apt per aggiornare i pacchetti, potete installare gli update proposti aggiungendo la seguente linea al file /etc/apt/sources.list:

  # aggiunte proposte per una point release 2.2
  deb http://archive.debian.org dists/potato-proposed-updates/
  deb http://archive.debian.org/debian-non-US dists/potato-proposed-updates/

Dopodiché eseguite apt-get update seguito da apt-get upgrade.

Supporto non ufficiale per installer internazionale

Una versione internazionalizzata del sistema di installazione per sistemi i386 è disponibile (http://people.debian.org/~aph/current-i18n/) per il testing e l'utilizzo. È necessiario utilizzare i flavour 'idepci' o 'compact'.

A causa di alcuni problemi residui con la versione internazionalizzata del sistema di installazione, è poco probabile che sia inclusa ufficialmente in una point release Potato. Possiamo solo sperare di riuscire a prepararla per woody.

Supporto non ufficiale per ReiserFS

Sembrano esserci almeno due versioni non ufficiali del sistema di installazione per i386 che supportano ReiserFS.

Una versione è di John H. Robinson, IV, ed è disponibile con qualche istruzione all'indirizzo http://chao.ucsd.edu/debian/boot-floppies/.

L'altra è di Marc A. Volovic ed è disponibile all'indirizzo: http://www.bard.org.il/~marc/linux/rfs/.

Supporto non ufficiale per kernel Linux 2.4

Adrian Bunk ha fornito un set di pacchetti per i sistemi i386 Potato che forniscono la compatibilità con i kernel Linux 2.4.x. Si legga http://www.fs.tum.de/~bunk/kernel-24.html per istruzioni, avvertimenti e linee da aggiungere a /etc/apt/sources.list.